- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
AL::qianim::V2::Animation Namespace Reference

## Functions
auto | get_actuatorcurves (const ptree &pt) -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, ActuatorCurve::is_actuatorcurve))>
auto | get_actuatorcurves (ptree &pt) -> boost::select_second_mutable_range< decltype(boost::adaptors::filter(pt, ActuatorCurve::is_actuatorcurve))>
ALMATH_API void | check_version (const ptree &pt)
ALMATH_API void | check_all (const ptree &pt)
ALMATH_API ptree & | require_actuatorcurve (ptree &pt, const std::string &actuator)
auto | get_labels (const ptree &pt) -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, Labels::is_labels))>
ALMATH_API ptree & | add_labels (ptree &pt)

## Function Documentation

ALMATH_API ptree& AL::qianim::V2::Animation::add_labels | ( | ptree & | pt | ) |

ALMATH_API void AL::qianim::V2::Animation::check_all | ( | const ptree & | pt | ) |

ALMATH_API void AL::qianim::V2::Animation::check_version | ( | const ptree & | pt | ) |

auto AL::qianim::V2::Animation::get_actuatorcurves | ( | const ptree & | pt | ) | -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, ActuatorCurve::is_actuatorcurve))>
| inline

Definition at line 306 of file qianim.h.

auto AL::qianim::V2::Animation::get_actuatorcurves | ( | ptree & | pt | ) | -> boost::select_second_mutable_range< decltype(boost::adaptors::filter(pt, ActuatorCurve::is_actuatorcurve))>
| inline

Definition at line 313 of file qianim.h.

auto AL::qianim::V2::Animation::get_labels | ( | const ptree & | pt | ) | -> boost::select_second_const_range< decltype(boost::adaptors::filter(pt, Labels::is_labels))>
| inline

Definition at line 330 of file qianim.h.

ALMATH_API ptree& AL::qianim::V2::Animation::require_actuatorcurve | ( | ptree & | pt,
|  | const std::string & | actuator
| ) |  |